%define vname	vimperator
%define mname	muttator
%define vcid vimperator@mozdev.org
%define mcid muttator@mozdev.org
%define vciddir 	%firefox_noarch_extensionsdir/%vcid
%define mciddir 	%tbird_noarch_extensionsdir/%mcid
%define ver 2.1
%define mver 0.5
%define ft_release alt0.M50.1.git20090428
%define workdir %firefox_name-%vname-%ver
%define mworkdir %tbird_name-%mname-%mver

Name: %firefox_name-%vname
Version: %ver
Release: %ft_release
Summary: Browser add-on for Firefox, which makes it like the Vim text editor
Group: Networking/WWW
License: MPL 1.1/GPL 2.0/LGPL 2.1
URL: http://%vname.org/
# git clone http://git.vimperator.org/liberator.git
Source: %firefox_name-%vname-%version.tar.bz2
Requires: %firefox_name >= 3.0
Requires: vim
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>
BuildArch: noarch
BuildRequires(pre): rpm-build-firefox rpm-build-thunderbird rpm-build-vim
BuildRequires(pre): java-devel-default
BuildPreReq: zip asciidoc

%description 
Vimperator is a free browser add-on for Firefox, which makes it look and behave
like the Vim text editor. It has similar key bindings and you could call it a
modal web browser, as key bindings differ according to which mode you are in.

Warning: To provide the most authentic Vim experience, Vimperator hides the
Firefox menubar and toolbar by default. Most users find them unnecessary once
they're used to Vimperator, but if you really need them, type: :set
guioptions+=mT to get them back.

If you don't like Vimperator at all, you can uninstall it by typing :addons and
removing/disabling it. If you like it, but can't remember the shortcuts, press
F1 or :help.

%package -n %tbird_name-%mname
Summary: Add-on for Thunderbird, which makes Thunderbird behave like Vim
Version: %mver
Release: %ft_release
Group: Networking/Mail
BuildArch: noarch
#Requires: %tbird_name >= %tbird_version

%description -n %tbird_name-%mname
Muttator is a free browser add-on for Thunderbird, which makes it look and
behave like the Vim text editor. It has similar key bindings, and you could call
it a modal mail client, as key bindings differ according to which mode you are
in.

Warning: To provide the most authentic Vim experience, the Thunderbird menubar
and toolbar were hidden.

If you really need them, type: [set guioptions+=mT to get them back.
If you don't like Muttator at all, you can uninstall it by typing
:addons and remove/disable it.
If you like it, but can't remember the shortcuts, press F1 or :help to get this
help window back.

%prep
%setup

%build
%make_build

%__mkdir_p _%vname
cp %vname/%{vname}rc.example _%vname/
pushd _%vname
%jar xf ../downloads/%{vname}*.xpi
popd

#__mkdir_p _%mname
#pushd _%mname
#jar xf ../downloads/%{mname}*.xpi
#popd

%install
%__mkdir_p %buildroot%vciddir
#__mkdir_p %buildroot%mciddir
%__mkdir_p %buildroot%vim_syntax_dir
%__mkdir_p %buildroot%vim_ftdetect_dir
cp -fR _%vname/* %buildroot%vciddir/
#cp -fR _%mname/* %buildroot%mciddir/
install -m644 %vname/contrib/vim/syntax/%vname.vim \
	%buildroot%vim_syntax_dir/
#install -m644 %mname/contrib/vim/syntax/%mname.vim \
#	%buildroot%vim_syntax_dir/
install -m644 %vname/contrib/vim/ftdetect/%vname.vim \
	%buildroot%vim_ftdetect_dir/
#install -m644 %mname/contrib/vim/ftdetect/%mname.vim\
#	%buildroot%vim_ftdetect_dir/

%files
%vciddir
%vim_syntax_dir/%vname.vim
%vim_ftdetect_dir/%vname.vim

#files -n %tbird_name-%mname
#mciddir
#vim_syntax_dir/%mname.vim
#vim_ftdetect_dir/%mname.vim

%changelog
* Wed Apr 29 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.1-alt0.M50.1.git20090428
- Port for branch 5.0

* Tue Apr 28 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.1-alt1.git20090428
- New version
- Add Muttator add-on for Thunderbird
- Rebuild with new libtool

* Thu Mar 19 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0pre-alt1.git20090319
- New trunk from upstream
- Build with dependency of Firefox >= 3.1

* Fri Jan 09 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0pre-alt1.git20090109
- Initial build for Sisyphus
